LibreOffice: DataPilotField Service Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
DataPilotField Service Referencepublished

represents a single field in a data pilot table. More...

`import"DataPilotField.idl";`

Inheritance diagram for DataPilotField:

## Exported Interfaces
interface | com::sun::star::container::XNamed
| provides access to the name of the data pilot field. More...
interface | com::sun::star::beans::XPropertySet
| published service PropertySet More...
interface | XDataPilotField
interface | XDataPilotFieldGrouping

## Public Attributes
DataPilotFieldOrientation | Orientation
| specifies the orientation of the field. More...
GeneralFunction | Function
| specifies the function used to calculate results for this field. More...
sequence< GeneralFunction > | Subtotals
| specifies the functions used to calculate subtotals for this field. More...
string | SelectedPage
| specifies the selected page which is used to filter the data pilot. More...
boolean | UseSelectedPage
| specifies whether to use the selected page to filter the data pilot or show all. More...
string | UsedHierarchy
| specifies which hierarchy of the dimension is used. More...
boolean | HasSortInfo
| specifies whether this field has sorting information. More...
DataPilotFieldSortInfo | SortInfo
| controls how the field's items are sorted. More...
boolean | HasLayoutInfo
| specifies whether this field has layout information. More...
DataPilotFieldLayoutInfo | LayoutInfo
| controls how the field's items are laid out in the result table. More...
boolean | HasAutoShowInfo
| specifies whether this field has auto show information. More...
DataPilotFieldAutoShowInfo | AutoShowInfo
| enables the automatic inclusion of only a number of items with the highest or lowest result values. More...
boolean | HasReference
| specifies whether this field has a reference. More...
DataPilotFieldReference | Reference
| controls how the results are shown in relation to a selected reference result. More...
boolean | IsGroupField
| specifies whether this field is a group field. More...
DataPilotFieldGroupInfo | GroupInfo
| contains the grouping information of the DataPilot field. More...
boolean | ShowEmpty
| specifies whether to show this field also if it is empty or not. More...
short | Function2
| specifies the function used to calculate results for this field. More...
sequence< short > | Subtotals2
| specifies the functions used to calculate subtotals for this field. More...

## Additional Inherited Members
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XDataPilotField
com::sun::star::container::XIndexAccess | getItems ()
| returns the collection of the data pilot items. More...
Protected Member Functions inherited from XDataPilotFieldGrouping
XDataPilotField | createNameGroup ([in] sequence< string > aItems) raises ( com::sun::star::lang::IllegalArgumentException )
| Creates a new DataPilot field which contains a group containing the given DataPilot field items (members). More...
XDataPilotField | createDateGroup ([in] DataPilotFieldGroupInfo aInfo) raises ( com::sun::star::lang::IllegalArgumentException )
| Groups the members of this field by dates, according to the passed settings. More...

## Detailed Description

represents a single field in a data pilot table.

If the data pilot table is based on a spreadsheet cell range, a field is represented by a column of the range and is named using the topmost cell of the column.

Developers Guide
  Spreadsheets - Creating a New DataPilot Table

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

published service PropertySet

provides access to the properties.

## ◆ com::sun::star::container::XNamed

interface com::sun::star::container::XNamed

provides access to the name of the data pilot field.

## ◆ XDataPilotField

interface XDataPilotField
| optional

## ◆ XDataPilotFieldGrouping

interface XDataPilotFieldGrouping
| optional

## Member Data Documentation

## ◆ AutoShowInfo

DataPilotFieldAutoShowInfo AutoShowInfo
| optionalproperty

enables the automatic inclusion of only a number of items with the highest or lowest result values.

## ◆ Function

GeneralFunction Function
| property

specifies the function used to calculate results for this field.

For column and row fields, this is the function for subtotals (GeneralFunction::NONE means no subtotals). For data fields, this is the function shown in the data pilot table.

## ◆ Function2

short Function2
| optionalproperty

specifies the function used to calculate results for this field.

For column and row fields, this is the function for subtotals (GeneralFunction2::NONE means no subtotals). For data fields, this is the function shown in the data pilot table.

Since
  LibreOffice 5.3

## ◆ GroupInfo

DataPilotFieldGroupInfo GroupInfo
| optionalproperty

contains the grouping information of the DataPilot field.

By changing the value of this property it is possible to modify the grouping settings of this field.

## ◆ HasAutoShowInfo

boolean HasAutoShowInfo
| optionalproperty

specifies whether this field has auto show information.

## ◆ HasLayoutInfo

boolean HasLayoutInfo
| optionalproperty

specifies whether this field has layout information.

## ◆ HasReference

boolean HasReference
| optionalproperty

specifies whether this field has a reference.

## ◆ HasSortInfo

boolean HasSortInfo
| optionalproperty

specifies whether this field has sorting information.

## ◆ IsGroupField

boolean IsGroupField
| optionalproperty

specifies whether this field is a group field.

## ◆ LayoutInfo

DataPilotFieldLayoutInfo LayoutInfo
| optionalproperty

controls how the field's items are laid out in the result table.

## ◆ Orientation

DataPilotFieldOrientation Orientation
| property

specifies the orientation of the field.

If the orientation of a field has been changed using this property, the field will be moved to the last position in the collection of all fields with the specified orientation.

## ◆ Reference

DataPilotFieldReference Reference
| optionalproperty

controls how the results are shown in relation to a selected reference result.

## ◆ SelectedPage

string SelectedPage
| optionalproperty

specifies the selected page which is used to filter the data pilot.

## ◆ ShowEmpty

boolean ShowEmpty
| optionalproperty

specifies whether to show this field also if it is empty or not.

## ◆ SortInfo

DataPilotFieldSortInfo SortInfo
| optionalproperty

controls how the field's items are sorted.

## ◆ Subtotals

sequence<GeneralFunction> Subtotals
| optionalproperty

specifies the functions used to calculate subtotals for this field.

This property is supported by column and row fields only.

An empty sequence means no subtotals. The same effect can be achieved by setting the property Function to the value GeneralFunction::NONE. If the length of the sequence is greater then 1, then the sequence MUST NOT contain one of the values GeneralFunction::NONE or GeneralFunction::AUTO.

The order of the functions in this sequence is reflected in the DataPilot table. Multiple entries of the same function are ignored when setting the property.

## ◆ Subtotals2

sequence<short> Subtotals2
| optionalproperty

specifies the functions used to calculate subtotals for this field.

This property is supported by column and row fields only.

An empty sequence means no subtotals. The same effect can be achieved by setting the property Function2 to the value GeneralFunction::NONE. If the length of the sequence is greater then 1, then the sequence MUST NOT contain one of the values GeneralFunction2::NONE or GeneralFunction2::AUTO.

The order of the functions in this sequence is reflected in the DataPilot table. Multiple entries of the same function are ignored when setting the property.

Since
  LibreOffice 5.3

## ◆ UsedHierarchy

string UsedHierarchy
| optionalproperty

specifies which hierarchy of the dimension is used.

See also
  com::sun::star::sheet::DataPilotSourceHierarchies

## ◆ UseSelectedPage

boolean UseSelectedPage
| optionalproperty

specifies whether to use the selected page to filter the data pilot or show all.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/DataPilotField.idl